package com.kmall.admin.entity.mk.store;

import com.kmall.admin.dto.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 门店满减活动实体
 * 表名 mk_store_camp_minus
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 17:41:04
 */
public class MkStoreCampMinusEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 满减活动id
     */
    private Integer campMinusId;
    /**
     * 活动名称
     */
    private String campName;
    /**
     * 第三方商户id
     */
    private Integer thirdMerchSn;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 活动id
     */
    private Integer storeTopicId;
    /**
     * 活动起始时间，yyyy-MM-dd HH:mi
     */
    private Date campBegTime;
    /**
     * 活动结束时间，yyyy-MM-dd HH:mi
     */
    private Date campEndTime;
    /**
     * 减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    private String campMinusType;
    /**
     * 减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    private String minusMode;
    /**
     * 适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    private String applyType;
    /**
     * 活动图片url
     */
    private String advImgUrl;
    /**
     * 活动说明
     */
    private String advDesc;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 是否过期，0：否，1：是
     */
    private String isPast;
    /**
     * 是否展示在小程序门店首页广告栏，0：否，1：是
     */
    private String isStoreShow;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;
    /**
     * 货品业务类型， 00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    private String goodsBizType;

    private String inValidTime;

    private String minusStat;

    private String storeName;

    private Integer submitNum;

    private Integer browseNum;

    private BigDecimal actMoney;

    public Integer getSubmitNum() {
        return submitNum;
    }

    public void setSubmitNum(Integer submitNum) {
        this.submitNum = submitNum;
    }

    public Integer getBrowseNum() {
        return browseNum;
    }

    public void setBrowseNum(Integer browseNum) {
        this.browseNum = browseNum;
    }

    public BigDecimal getActMoney() {
        return actMoney;
    }

    public void setActMoney(BigDecimal actMoney) {
        this.actMoney = actMoney;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getInValidTime() {
        return inValidTime;
    }

    public void setInValidTime(String inValidTime) {
        this.inValidTime = inValidTime;
    }

    public String getMinusStat() {
        return minusStat;
    }

    public void setMinusStat(String minusStat) {
        this.minusStat = minusStat;
    }

    //满元满减
    private List<MinusTypeUnitAttrDto> minusTypeUnitAttrList;
    //满件满减
    private List<MinusTypePieceAttrDto> minusTypePieceAttrList;
    //满元满折
    private List<MinusTypeDiscUnitAttrDto> minusTypeDiscUnitAttrList;
    //满件满折
    private List<MinusTypeDiscPieceAttrDto> minusTypeDiscPieceAttrList;
    //满元满减，且减免类型为每满一次减一次
    private List<MinusTypeUnitModeDto> minusTypeUnitMode10List;
    //满件满减，且减免类型为每满一次减一次
    private List<MinusTypePieceModeDto> minusTypePieceMode10List;

    public List<MinusTypeUnitAttrDto> getMinusTypeUnitAttrList() {
        return minusTypeUnitAttrList;
    }

    public void setMinusTypeUnitAttrList(List<MinusTypeUnitAttrDto> minusTypeUnitAttrList) {
        this.minusTypeUnitAttrList = minusTypeUnitAttrList;
    }

    public List<MinusTypePieceAttrDto> getMinusTypePieceAttrList() {
        return minusTypePieceAttrList;
    }

    public void setMinusTypePieceAttrList(List<MinusTypePieceAttrDto> minusTypePieceAttrList) {
        this.minusTypePieceAttrList = minusTypePieceAttrList;
    }

    public List<MinusTypeDiscUnitAttrDto> getMinusTypeDiscUnitAttrList() {
        return minusTypeDiscUnitAttrList;
    }

    public void setMinusTypeDiscUnitAttrList(List<MinusTypeDiscUnitAttrDto> minusTypeDiscUnitAttrList) {
        this.minusTypeDiscUnitAttrList = minusTypeDiscUnitAttrList;
    }

    public List<MinusTypeDiscPieceAttrDto> getMinusTypeDiscPieceAttrList() {
        return minusTypeDiscPieceAttrList;
    }

    public void setMinusTypeDiscPieceAttrList(List<MinusTypeDiscPieceAttrDto> minusTypeDiscPieceAttrList) {
        this.minusTypeDiscPieceAttrList = minusTypeDiscPieceAttrList;
    }

    public List<MinusTypeUnitModeDto> getMinusTypeUnitMode10List() {
        return minusTypeUnitMode10List;
    }

    public void setMinusTypeUnitMode10List(List<MinusTypeUnitModeDto> minusTypeUnitMode10List) {
        this.minusTypeUnitMode10List = minusTypeUnitMode10List;
    }

    public List<MinusTypePieceModeDto> getMinusTypePieceMode10List() {
        return minusTypePieceMode10List;
    }

    public void setMinusTypePieceMode10List(List<MinusTypePieceModeDto> minusTypePieceMode10List) {
        this.minusTypePieceMode10List = minusTypePieceMode10List;
    }

    /**
     * 设置：满减活动id
     */
    public void setCampMinusId(Integer campMinusId) {
        this.campMinusId = campMinusId;
    }

    /**
     * 获取：满减活动id
     */
    public Integer getCampMinusId() {
        return campMinusId;
    }
    /**
     * 设置：活动名称
     */
    public void setCampName(String campName) {
        this.campName = campName;
    }

    /**
     * 获取：活动名称
     */
    public String getCampName() {
        return campName;
    }
    /**
     * 设置：第三方商户id
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：第三方商户id
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：活动id
     */
    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    /**
     * 获取：活动id
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：活动起始时间，yyyy-MM-dd HH:mi
     */
    public void setCampBegTime(Date campBegTime) {
        this.campBegTime = campBegTime;
    }

    /**
     * 获取：活动起始时间，yyyy-MM-dd HH:mi
     */
    public Date getCampBegTime() {
        return campBegTime;
    }
    /**
     * 设置：活动结束时间，yyyy-MM-dd HH:mi
     */
    public void setCampEndTime(Date campEndTime) {
        this.campEndTime = campEndTime;
    }

    /**
     * 获取：活动结束时间，yyyy-MM-dd HH:mi
     */
    public Date getCampEndTime() {
        return campEndTime;
    }
    /**
     * 设置：减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    public void setCampMinusType(String campMinusType) {
        this.campMinusType = campMinusType;
    }

    /**
     * 获取：减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    public String getCampMinusType() {
        return campMinusType;
    }
    /**
     * 设置：减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    public void setMinusMode(String minusMode) {
        this.minusMode = minusMode;
    }

    /**
     * 获取：减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    public String getMinusMode() {
        return minusMode;
    }
    /**
     * 设置：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    /**
     * 获取：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public String getApplyType() {
        return applyType;
    }
    /**
     * 设置：活动图片url
     */
    public void setAdvImgUrl(String advImgUrl) {
        this.advImgUrl = advImgUrl;
    }

    /**
     * 获取：活动图片url
     */
    public String getAdvImgUrl() {
        return advImgUrl;
    }
    /**
     * 设置：活动说明
     */
    public void setAdvDesc(String advDesc) {
        this.advDesc = advDesc;
    }

    /**
     * 获取：活动说明
     */
    public String getAdvDesc() {
        return advDesc;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：是否过期，0：否，1：是
     */
    public void setIsPast(String isPast) {
        this.isPast = isPast;
    }

    /**
     * 获取：是否过期，0：否，1：是
     */
    public String getIsPast() {
        return isPast;
    }
    /**
     * 设置：是否展示在小程序门店首页广告栏，0：否，1：是
     */
    public void setIsStoreShow(String isStoreShow) {
        this.isStoreShow = isStoreShow;
    }

    /**
     * 获取：是否展示在小程序门店首页广告栏，0：否，1：是
     */
    public String getIsStoreShow() {
        return isStoreShow;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
    /**
     * 设置：货品业务类型， 00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    /**
     * 获取：货品业务类型， 00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    public String getGoodsBizType() {
        return goodsBizType;
    }
}
